DB->set_re_delim |

`

    #include <db.h>

    int
    DB->set_re_delim(DB *db, int delim);

    int
    DB->get_re_delim(DB *db, int *delimp);

Description: DB->set_re_delim

Set the delimiting byte used to mark the end of a record in the backing source file for the Recno access method.

This byte is used for variable length records if the re_source file is specified. If the re_source file is specified and no delimiting byte was specified, <newline> characters (that is, ASCII 0x0a) are interpreted as end-of-record markers.

The DB->set_re_delim method configures a database, not only operations performed using the specified DB handle.

The DB->set_re_delim method may not be called after the DB->open method is called. If the database already exists when DB->open is called, the information specified to DB->set_re_delim will be ignored.

The DB->set_re_delim method returns a non-zero error value on failure and 0 on success.

Parameters
re_delim

- The re_delim parameter is the delimiting byte used to mark the end of a record.

Errors

The DB->set_re_delim method may fail and return one of the following non-zero errors:

EINVAL

- If the method was called after DB->open was called; or if an invalid flag value or parameter was specified.

Description: DB->get_re_delim

The DB->get_re_delim method returns the delimiting byte.

The DB->get_re_delim method may be called at any time during the life of the application.

The DB->get_re_delim method returns a non-zero error value on failure and 0 on success.

Parameters
delimp

- The DB->get_re_delim method returns the delimiting byte in delimp.

Class DB
See Also Databases and Related Methods`

Copyright (c) 1996,2008 Oracle. All rights reserved.